// Importing required parameters from d3
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

// create world_svg from select function
const world_svg = select('svg');

// geoNaturalEarth1 is used for natural earth projection
const earthProjection = geoNaturalEarth1(); 

// geoPath used to generate SVG path data string
const geoEarthPath = geoPath().projection(earthProjection);

// Using shape Sphere for world map
world_svg.append('path')
		.attr('class', 'sphere')
		.attr('d', geoEarthPath({type: 'Sphere'}));



json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
		.then(data => {
  // loading all countries from json data from url
  			const countriesList = feature(data, data.objects.countries);
  
  // Select all svg path from countriesList data 
  			world_svg.selectAll('path')
        		.data(countriesList.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', geoEarthPath)
		});
 

